edu.ucsb.nceas.metacat.lsid

## Class LSIDAuthorityData

- java.lang.Object
- - edu.ucsb.nceas.metacat.lsid.LSIDAuthorityData

- All Implemented Interfaces:
    com.ibm.lsid.server.LSIDDataService, com.ibm.lsid.server.LSIDService

      public class LSIDAuthorityData
      extends java.lang.Object
      implements com.ibm.lsid.server.LSIDDataService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSIDAuthorityData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getData(com.ibm.lsid.server.LSIDRequestContext lsid)`
    `java.io.InputStream` | `getDataByRange(com.ibm.lsid.server.LSIDRequestContext lsid, int start, int end)`
    `void` | `initService(com.ibm.lsid.server.LSIDServiceConfig cf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LSIDAuthorityData

          public LSIDAuthorityData()

  - ### Method Detail

    - #### getData

          public java.io.InputStream getData(com.ibm.lsid.server.LSIDRequestContext lsid)
                                      throws com.ibm.lsid.server.LSIDServerException

      Specified by:
        `getData` in interface `com.ibm.lsid.server.LSIDDataService`
      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### getDataByRange

          public java.io.InputStream getDataByRange(com.ibm.lsid.server.LSIDRequestContext lsid,
                                                    int start,
                                                    int end)
                                             throws com.ibm.lsid.server.LSIDServerException

      Specified by:
        `getDataByRange` in interface `com.ibm.lsid.server.LSIDDataService`
      Throws:
        `com.ibm.lsid.server.LSIDServerException`

    - #### initService

          public void initService(com.ibm.lsid.server.LSIDServiceConfig cf)
                           throws com.ibm.lsid.server.LSIDServerException

      Specified by:
        `initService` in interface `com.ibm.lsid.server.LSIDService`
      Throws:
        `com.ibm.lsid.server.LSIDServerException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.